## @id $Id$

##       1         2         3         4         5         6         7         8
## 45678901234567890123456789012345678901234567890123456789012345678901234567890

# noinst_PROGRAMS = filewatch

# filewatch_SOURCES = filewatch.cxx
# filewatch_CPPFLAGS = -I${top_srcdir}/src
# filewatch_LDFLAGS = -L${top_builddir}/src/qbrowserlib
# filewatch_LDADD = -lqbrowserlib

EXTRA_DIST = @srcdir@/*.[ch]xx

QMAKE_TARGETS = filewatch
QMAKE_PROJECT = qmake.pro
QMAKE_MAKEFILE = makefile.qmake
TARGETS = ${QMAKE_TARGETS}

all: ${TARGETS}

${QMAKE_MAKEFILE}: ${QMAKE_PROJECT} ${ALL_SRC}
	${QMAKE} -o $@ $<

${QMAKE_TARGETS}: ${QMAKE_MAKEFILE} ${ALL_SRC} $(LANGS:%=@PACKAGENAME@_%.qm)
	make -f ${QMAKE_MAKEFILE}

CLEANFILES = ${TARGETS} ${TARGETS:%=%.exe} \
             *.o *.obj qrc_*.cpp ui_*.h moc_*.cpp \
	     ${QMAKE_TARGETS} .deps
MAINTAINERCLEANFILES = makefile.in ${QMAKE_MAKEFILE}

